rm(list=ls())
library("SuperLearner")
library("foreign")

source("auc-fn.R")
table <- matrix(NA, 20, 4)
row <- 1
for (f in 1:5) {
    for (t in c(1000)) {
        for (d in c(1, 2, 4, 7)) {
            table[row, 1] <- f
            table[row, 2] <- t
            table[row, 3] <- d
            model <- paste("xgb_train-less-fold", f, "_", t, "_", d, "_0.1", sep="")
            if (file.exists(paste("../output/", model, ".RData", sep=""))) {
                tmp.auc <- auc(model,f)
                table[row, 4] <- tmp.auc
                print(paste(f,t,d,tmp.auc))
            }
            row <- row + 1
        }
    }
}
write.csv(table, file="../output/tuning-fig-xgb.csv")
