
* USING A LIST OF BENIE DIAGNOSIS AS dgnscd

use BINdxeslong
rename dgnscd ICD
gen disease  = "metastatic_romano"  if substr(ICD,1,3)  == "196" | substr(ICD,1,3)  == "197" | substr(ICD,1,3)  == "198" | substr(ICD,1,3)  == "199"
replace disease  = "chf_romano"  if ICD  == "40201" | ICD  == "40211" | ICD  == "40291" | substr(ICD,1,4)  == "4293" | substr(ICD,1,3)  == "425" | substr(ICD,1,3)  == "428"
replace disease  = "dementia_romano"  if substr(ICD,1,4)  == "3310" | substr(ICD,1,4)  == "3311" |  substr(ICD,1,4)  == "3312" |        substr(ICD,1,3)  == "290"
replace disease  = "renal_elixhauser" if ICD  == "40311" | ICD  == "40391" | ICD  == "40412" | ICD  == "40492" | substr(ICD,1,3)  == "585" | substr(ICD,1,3)  == "586" | substr(ICD,1,4)  == "V420" | substr(ICD,1,4)  == "V451" | substr(ICD,1,4)  == "V560" | substr(ICD,1,4)  == "V568"
replace disease  = "wtloss_elixhauser" if  substr(ICD,1,3)=="260" |substr(ICD,1,3)=="261" | substr(ICD,1,3)=="262"| substr(ICD,1,3)=="263"
replace disease  = "hemiplegia_romano" if substr(ICD,1,3)  == "342" | substr(ICD,1,3)  == "344"
replace disease  = "alcohol_elixhauser" if substr(ICD,1,4)  == "2911" | substr(ICD,1,4)  == "2992" | substr(ICD,1,4)  == "2915" | substr(ICD,1,4)  == "2918" | substr(ICD,1,4)  == "2919"       | substr(ICD,1,4)  == "V113"
replace disease  = "alcohol_elixhauser" if ICD>="30390" & ICD < ="30393"
replace disease  = "alcohol_elixhauser" if  ICD>= "30500" & ICD < = "30503"
replace disease  = "tumor_romano"  if substr(ICD,1,4)  == "2730"| substr(ICD,1,4)  == "2733" | substr(ICD,1,5)  == "V1046"
replace disease  = "tumor_romano" if  substr(ICD,1,3)>="174" & substr(ICD,1,3) < = "195"
replace disease  = "tumor_romano" if substr(ICD,1,3)>= "200" & substr(ICD,1,3) < = "208"
replace disease  = "tumor_romano" if substr(ICD,1,3) >="140" & substr(ICD,1,3) < = "171"
replace disease  = "arrhythmia_elixhauser" if ICD  == "42610" | ICD  == "42611" | ICD  == "42613" |  substr(ICD,1,4)  == "4270" | substr(ICD,1,4)  == "4272" | ICD  == "42731" | ICD  == "42760" | substr(ICD,1,4)  == "4279" | substr(ICD,1,4)  == "7850" | substr(ICD,1,4)  == "V450" | substr(ICD,1,4)  == "V533"
replace disease  = "arrhythmia_elixhauser" if ICD >= "42650" & ICD < ="42653"
replace disease  = "arrhythmia_elixhauser" if ICD >= "4262"  & substr(ICD,1,4) < = "4264"
replace disease  = "arrhythmia_elixhauser" if ICD >=  "4266" &  substr(ICD,1,4) < = "4268"
replace disease  = "pulmonarydz_romano"  if substr(ICD,1,4)  == "4150" | substr(ICD,1,4)  == "4168" | substr(ICD,1,4)  == "4169" | substr(ICD,1,3)  == "491"  | substr(ICD,1,3)  == "492"  | substr(ICD,1,3)  == "493"  | substr(ICD,1,3)  == "494"  | substr(ICD,1,3)  == "496"
replace disease  = "coagulopathy_elixhauser" if substr(ICD,1,4)  == "2871"
replace disease  = "coagulopathy_elixhauser" if ICD >=  "2860" & substr(ICD,1,4) < = "2869"
replace disease  = "coagulopathy_elixhauser" if ICD >= "2873" & substr(ICD,1,4) < = "2875"
replace disease  = "compdiabetes_elixhauser" if ICD >="25040" & ICD < ="25073"
replace disease  = "compdiabetes_elixhauser" if ICD >= "25090" & ICD < = "25093"
replace disease  = "anemia_elixhauser" if substr(ICD,1,4)  == "2859"
replace disease  = "anemia_elixhauser" if ICD >= "2801" & substr(ICD,1,4) < = "2819"
replace disease  = "electrolytes_elixhauser" if  ICD >= "2760" & substr(ICD,1,4) < = "2769"
replace disease  = "liver_elixhauser" if ICD  == "07032" | ICD  == "07033" | ICD  == "07054" | substr(ICD,1,4)  == "4560" | substr(ICD,1,4)  == "4561" | ICD  == "45620" | ICD  == "45621" | substr(ICD,1,4)  == "5710" | substr(ICD,1,4)  == "5712" |  substr(ICD,1,4)  == "5713" |  substr(ICD,1,4)  == "5715" | substr(ICD,1,4)  == "5716" | substr(ICD,1,4)  == "5718" | substr(ICD,1,4)  == "5719" | substr(ICD,1,4)  == "5723" | substr(ICD,1,4)  == "5728" | substr(ICD,1,4)  == "V427"
replace disease  = "liver_elixhauser" if ICD >="57140"  & ICD < = "57149"
replace disease  = "pvd_elixhauser" if  substr(ICD,1,4)  == "4412" |    substr(ICD,1,4)  == "4414" |  substr(ICD,1,4)  == "4417" | substr(ICD,1,4)  == "4419" | substr(ICD,1,4)  == "4471" | substr(ICD,1,4)  == "5571" |  substr(ICD,1,4)  == "5579" | substr(ICD,1,4)  == "V434"
replace disease  = "pvd_elixhauser" if ICD >= "4400" &  substr(ICD,1,4) < = "4409"
replace disease  = "pvd_elixhauser" if ICD >=  "4431" & substr(ICD,1,4) < = "4439"
replace disease  = "psychosis_elixhauser" if ICD  == "29910" | ICD  == "29911"
replace disease  = "psychosis_elixhauser" if  ICD >= "29500" & ICD < = "29899"
replace disease  = "pulmcirc_elixhauser" if substr(ICD,1,3)  == "416" | substr(ICD,1,4)  == "4179"
replace disease  = "hivaids_romano" if substr(ICD,1,3)  == "042" | substr(ICD,1,3)  == "043" | substr(ICD,1,3)  == "044"
replace disease  = "hypertension_elixhauser" if substr(ICD,1,4)  == "4011" | substr(ICD,1,4)  == "4019" | ICD  == "40210" | ICD  == "40290" | ICD  == "40410" | ICD  == "40490" | ICD  == "40511" | ICD  == "40519" | ICD  == "40591" | ICD  == "40599"
drop if missing(disease)
bysort bene_id disease from_dt: gen dup=cond(_N==1, 0, _n) 
drop if dup>1
drop dup 
save BIN_gagnes,replace

** USING A LIST OF BENE IDS AND INDEX DATES
use BIN_gagnes
joinby bene_id using cancerIndex
drop if index_dt<=from_dt | index_dt-from_dt>365
gen d_01=cond(from_dt<index_dt & from_dt>=index_dt- 30, 1, 0) 
gen d_112=cond(from_dt<index_dt- 30 & from_dt>=index_dt-365, 1, 0) 
collapse (sum) d_*, by(bene_id disease index_dt) 
reshape wide d_01 d_112, i(bene_id index_dt) j(disease) string
save BIN_gagnewides, replace


** GET GAGNE SCORES
use BIN_gagnes
joinby bene_id using cancerIndex
drop if from_dt>index_dt
drop if index_dt-from_dt>=365
bysort bene_id index_dt disease : gen dup=cond(_N==1, 0, _n) 
drop if dup>1
drop dup 
gen gscore = 1
replace gscore = 5 if disease =="metastatic_romano"
replace gscore = 2 if disease=="chf_romano"
replace gscore = 2 if disease =="dementia_romano"
replace gscore =2 if disease =="renal_elixhauser"
replace gscore =2 if disease =="wtloss_elixhauser"
replace gscore = -1 if disease =="hypertension_elixhauser"
replace gscore= -1 if disease =="hivaids_romano"
collapse (sum) gscore,by(bene_id index_dt)
save gagnescores,replace
