version 12
set more off
adopath + ../external/lib/stata/gslab_misc/ado
adopath + ../external/lib/stata/ado
preliminaries

program main
    inpatient
    outpatient
    carrier
end

program inpatient
    use ../external/inpatient/ip20_clms_raw_2007_2008.dta, clear
    savasas using "../temp/inpatient/ip20_clms_raw_2007", replace
end

program outpatient
    use ../external/outpatient/op20_clms_raw_2007_2008.dta, clear
    savasas using "../temp/outpatient/op20_clms_raw_2007", replace
end

program carrier
    use ../external/carrier/car20_clmline_raw_2007_2008.dta, clear
    savasas using "../temp/carrier/car20_clmline_raw_2007", replace
end

* EXECUTE
main
