rm(list=ls())
library(foreign)

Auc <- function(file, var) {
    fullfile <- paste("../output/", file, sep="")
    dta <- read.csv(fullfile)
    assign("phat", eval(parse(text=paste("dta$", var, sep=""))))
    dta$phat <- phat
    pos <- dta$phat[dta$mort==1]
    neg <- dta$phat[dta$mort==0]
    p <- replicate(500000, sample(pos, size=1) > sample(neg, size=1))
    return(mean(p))
}

auc <- Auc("bc_phats_test.csv", "phat")
