version 12
set more off
adopath + ../external/lib/stata/gslab_misc/ado
preliminaries

program main
    foreach s in event jan {
        make_grid `s'
    }
end

program make_grid
    args s
    use ../external/test_samples/`s'_sample, clear
    gen phat_trans = ln(phat/(1-phat))
    kdensity phat_trans, n(500) gen(phat_trans_x density) nograph
    gen phat_grid = exp(phat_trans_x)/(exp(phat_trans_x)+1)
    keep phat_grid
    keep if phat_grid!=.
    save ../output/`s'_grid, replace
end

* EXECUTE
main
