#!/bin/bash
for f in 1 2 3 4 5; do
    for n in 25 50 100; do
        for m in 25 250 500 750; do
	    Rscript --vanilla ./rf.R "train-less-fold$f" $m $n 50000 &
            pids="$pids $!"
        done
        mail -s "rf fold=$f nodesize=$n mtry=$m" emailaddress < /dev/null
        wait $pids
        mail -s "fold=$f nodesize=$n mtry=$m finished" emailaddress < /dev/null
    done
done

