rm(list=ls())
library("randomForest")
library("foreign")

source("auc-fn.R")
table <- matrix(NA, 60, 4)
row <- 1
for (f in 1:5) {
    for (m in c(25, 250, 500, 750)) {
        for (n in c(25, 50, 100)) {
            table[row, 1] <- f
            table[row, 2] <- m
            table[row, 3] <- n
            forest <- paste("rf_train-less-fold", f, "_", m, "_", n, "_50000", sep="")
            tmp.auc <- auc(forest,f)
            table[row, 4] <- tmp.auc
            print(paste(f,m,n,tmp.auc))
            row <- row + 1
        }
    }
}
write.csv(table, file="../output/tuning-fig.csv")
