set more off

** PULL CLAIMS SO BORING **

use /disk/agedisk1/medicare/data/20pct/op/2010/opc2010.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINop2010s,replace

use /disk/agedisk1/medicare/data/20pct/op/2009/opc2009.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINop2009s,replace

use /disk/agedisk1/medicare/data/20pct/op/2007/opc2007.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINop2007s,replace


use /disk/agedisk1/medicare/data/20pct/car/2009/carc2009.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINcar2009s,replace

use /disk/agedisk1/medicare/data/20pct/car/2007/carc2007.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINcar2007s,replace


use /disk/agedisk1/medicare/data/20pct/car/2010/carc2010.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINcar2010s,replace

use /disk/agedisk1/medicare/data/20pct/med/2010/med2010.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINmed2010s,replace

use /disk/agedisk1/medicare/data/20pct/med/2009/med2009.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINmed2009s,replace

use /disk/agedisk1/medicare/data/20pct/med/2007/med2007.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINmed2007s,replace


use /disk/agedisk1/medicare/data/20pct/op/2008/opc2008.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINop2008s,replace

use /disk/agedisk1/medicare/data/20pct/med/2008/med2008.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINmed2008s,replace

use /disk/agedisk1/medicare/data/20pct/car/2008/carc2008.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINcar2008s,replace


use /disk/agedisk1/medicare/data/20pct/op/2011/opc2011.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINop2011s,replace

use /disk/agedisk1/medicare/data/20pct/med/2011/med2011.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINmed2011s,replace

use /disk/agedisk1/medicare/data/20pct/car/2011/carc2011.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINcar2011s,replace

use /disk/agedisk1/medicare/data/20pct/car/2007/carc2007.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINcar2007s,replace

use /disk/agedisk1/medicare/data/20pct/op/2012/opc2012.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINop2012s,replace

use /disk/agedisk1/medicare/data/20pct/med/2012/med2012.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINmed2012s,replace

use /disk/agedisk1/medicare/data/20pct/car/2012/carc2012.dta
merge m:1 bene_id using FinalCancerBeniesB, keep(3) nogenerate
save BINcar2012s,replace

** append claims, also boring ** 

use BINcar2010s
append using BINcar2011s
append using BINcar2012s
rename icd_dgns_cd* dgns_cd*
append using BINcar2009s
append using BINcar2008s
append using BINcar2007s
rename dgns_cd* dgnscd*
keep dgnscd* from_dt bene_id clm_id
save BINcars,replace


use BINop2010s
append using BINop2011s
append using BINop2012s
rename icd_dgns_cd* dgnscd*
append using BINop2009s
append using BINop2008s
append using BINop2007s
keep dgnscd* from_dt bene_id clm_id
save BINops,replace

use BINmed2012s
append using BINmed2010s
append using BINmed2011s
append using BINmed2009s
append using BINmed2008s
append using BINmed2007s

rename medparid clm_id
drop from_dt 
rename admsndt from_dt
keep dgnscd* from_dt bene_id clm_id
save BINmeds,replace


*** UNIQUE IDS ARE CURRENTLY bene_id dgnscd from_dt ** 

** IMPORTANT MAKE UINQUE ID, DO NOT NOT NOT USE CLAIM ID** 

** RESHAPE LONG ** 

use BINmeds
append using BINops
append using BINcars
keep dgnscd* from_dt bene_id clm_id
gen double id = _n
reshape long dgnscd, i(id)
save BINlongs,replace

** Join to hosp visits **

use BINlongs.dta
drop if missing(dgnscd)
drop dup
bysort bene_id from_dt dgnscd: gen dup=cond(_N==1, 0, _n) 
drop if dup>1
drop dup 
save BINdxeslong,replace


*** UNIQUE IDS ARE CURRENTLY bene_id dgnscd from_dt ** 

*** GET RID OF PALLIATIVE CARE VISITS NEED THIS TO CREATE COHORT**
use BINdxeslong
merge m:1 dgnscd using /homes/nber/mmakar/uploaded/zo_cats_stata.dta, keep(3) keepusing(dgnscd zc zo_cat) nogen
keep if zc=="encountr_palliative_care"
joinby bene_id using cancerIndex
drop if index_dt<=from_dt 
bysort bene_id index_dt: gen dup=cond(_N==1, 0, _n) 
drop if dup>1
drop dup
keep bene_id index_dt
save palliative_care_to_drop,replace

*** UNIQUE IDS ARE CURRENTLY bene_id dgnscd from_dt ** 

** SEND TO R ** 
use BINdxeslong 
merge m:1 dgnscd using /homes/nber/mmakar/uploaded/zo_cats_stata.dta, keep(3) keepusing(dgnscd zc zo_cat) nogen
replace zc="scndary_malig" if zc=="2ndary_malig"
replace zc="excs_cry_chld_adol_adult" if zc=="excs_cry_chld,adol,adult"
replace zc="head_neck_symptoms_nec" if zc=="head_&_neck_symptoms_nec"
replace zc="swelling_in_head_neck" if  zc=="swelling_in_head_&_neck"
replace zc=subinstr(zc, "&","_",.)
replace zc=subinstr(zc, "'","_",.)
replace zc=subinstr(zc, ".","_",.)
replace zc=subinstr(zc, ",","_",.)
replace zc=subinstr(zc, ">","_",.)
replace zc=subinstr(zc, "<","_",.)
replace zc=subinstr(zc, "=","_",.)
replace zc=subinstr(zc, "%","_",.)
"
bysort bene_id from_dt zc: gen dup=cond(_N==1, 0, _n) 
drop if dup>1
drop dup 
keep bene_id from_dt zc
joinby bene_id using cancerIndex
drop if index_dt<=from_dt | index_dt-from_dt>730
gen d_01=cond(from_dt<index_dt & from_dt>=index_dt- 30, 1, 0) 
gen d_112=cond(from_dt<index_dt- 30 & from_dt>=index_dt-365, 1, 0) 
gen d_1324=cond(from_dt<index_dt- 365 & from_dt>=index_dt-730, 1, 0) 
collapse (sum) d_*, by(bene_id zc index_dt) 
replace d_01 = 0 if missing(d_01)
replace d_112= 0 if missing(d_112)
replace d_1324= 0 if missing(d_1324)
saveold allzc_to_R,replace version(12)

** Generate related cancer variables ** 
use BINdxeslong
merge m:1 dgnscd using /homes/nber/mmakar/uploaded/zo_cats_stata.dta, keep(3) keepusing(dgnscd zc zo_cat) nogen
replace zc="scndary_malig" if zc=="2ndary_malig"
rename dgnscd ICD
gen disease  = "metastatic_romano"  if substr(ICD,1,3)  == "196" | substr(ICD,1,3)  == "197" | substr(ICD,1,3)  == "198" | substr(ICD,1,3)  == "199"
replace disease  = "tumor_romano"  if substr(ICD,1,4)  == "2730"| substr(ICD,1,4)  == "2733" | substr(ICD,1,5)  == "V1046"
replace disease  = "tumor_romano" if  substr(ICD,1,3)>="174" & substr(ICD,1,3) < = "195"
replace disease  = "tumor_romano" if substr(ICD,1,3)>= "200" & substr(ICD,1,3) < = "208"
replace disease  = "tumor_romano" if substr(ICD,1,3) >="140" & substr(ICD,1,3) < = "171"
keep if disease =="metastatic_romano" | disease=="tumor_romano" | zc =="scndary_malig"
rename ICD dgnscd
keep bene_id from_dt dgnscd
joinby bene_id using cancerIndex
drop if index_dt<=from_dt | index_dt-from_dt>730
gen d_01=cond(from_dt<index_dt & from_dt>=index_dt- 30, 1, 0) 
gen d_112=cond(from_dt<index_dt- 30 & from_dt>=index_dt-365, 1, 0) 
gen d_1324=cond(from_dt<index_dt- 365 & from_dt>=index_dt-730, 1, 0) 
collapse (sum) d_*, by(bene_id dgnscd index_dt) 
rename d_* smalig_*
reshape wide smalig_01 smalig_112 smalig_1324, i(bene_id index_dt) j(dgnscd) string
save smalig,replace

