#! /usr/bin/env python
#****************************************************
# GET LIBRARY
#****************************************************
import os
from gslab_make.get_externals import *
from gslab_make.make_log import *
from gslab_make.make_links import *
from gslab_make.make_link_logs import *
from gslab_make.run_program import *
from gslab_make.dir_mod import *

#****************************************************
# MAKE.PY STARTS
#****************************************************
set_option(link_logs_dir = '../output/')
clear_dirs('../output/', '../output_local/', '../temp/', '../external/')
start_make_logging()

# GET_EXTERNALS
get_externals('externals.txt')

# ANALYSIS
run_sas(program="build_sas.sas")

# LOG FILES IN OUTPUT_LOCAL
make_output_local_logs()

end_make_logging()

raw_input('\n Press <Enter> to exit.')
